package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Empresa generated by hbm2java
 */
@Entity
@Table(name = "empresa",
         catalog = "sistema_ventas"
)
public class Empresa implements java.io.Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    private Integer idempresa;
    private Municipios municipios;
    private TipoEmpresa tipoEmpresa;
    private String empresa;
    private String direccion;
    private String nombre;
    private Set<Sucursal> sucursals = new HashSet<Sucursal>(0);

    public Empresa() {
    }

    public Empresa(Municipios municipios, TipoEmpresa tipoEmpresa, String empresa, String direccion, String nombre, Set<Sucursal> sucursals) {
        this.municipios = municipios;
        this.tipoEmpresa = tipoEmpresa;
        this.empresa = empresa;
        this.direccion = direccion;
        this.nombre = nombre;
        this.sucursals = sucursals;
    }

    @Id
    @GeneratedValue(strategy = IDENTITY)

    @Column(name = "idempresa", unique = true, nullable = false)
    public Integer getIdempresa() {
        return this.idempresa;
    }

    public void setIdempresa(Integer idempresa) {
        this.idempresa = idempresa;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "municipio")
    public Municipios getMunicipios() {
        return this.municipios;
    }

    public void setMunicipios(Municipios municipios) {
        this.municipios = municipios;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "tipo")
    public TipoEmpresa getTipoEmpresa() {
        return this.tipoEmpresa;
    }

    public void setTipoEmpresa(TipoEmpresa tipoEmpresa) {
        this.tipoEmpresa = tipoEmpresa;
    }

    @Column(name = "empresa", length = 65535)
    public String getEmpresa() {
        return this.empresa;
    }

    public void setEmpresa(String empresa) {
        this.empresa = empresa;
    }

    @Column(name = "direccion", length = 65535)
    public String getDireccion() {
        return this.direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    @Column(name = "nombre", length = 50)
    public String getNombre() {
        return this.nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "empresa")
    public Set<Sucursal> getSucursals() {
        return this.sucursals;
    }

    public void setSucursals(Set<Sucursal> sucursals) {
        this.sucursals = sucursals;
    }

}
